package user.test;

import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;

import org.apache.ibatis.session.SqlSession;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import user.service.UserService;
import user.vo.DeptVO;
import user.vo.StudentVO;
import user.vo.UserVO;


@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations="classpath:config/spring_beans.xml")
public class MyBatisTest {
	
	@Autowired
	SqlSession sqlSession;
	
	@Autowired
	DataSource dataSource;
	
	@Autowired
	UserService userService;
	
	@Test @Ignore
	public void jdbc() {
		try {
			System.out.println(dataSource.getConnection());
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	
	@Test @Ignore
	public void service() {
		UserVO user = userService.getUser("shlee0882");
		System.out.println(" ȣ : "+user);
	}
	
	@Test @Ignore
	public void insert() {
		UserVO user = new UserVO("shlee03", "", "", "λ");
		int cnt = sqlSession.insert("userNS.insertUser",user);
		System.out.println("μƮ : " +cnt);
	}
	
	@Test @Ignore
	public void update() {
		UserVO user = new UserVO("shlee0882", "̻", "", "Ҽ");
		int cnt = sqlSession.update("userNS.updateUser",user);
		System.out.println("Ʈ : "+cnt);
	}
	
	@Test
	public void list() {
		List<UserVO> userList = sqlSession.selectList("userNS.selectUserList");
		for (UserVO userVO : userList) {
			System.out.println(userVO);
		}
	}

	@Test 
	public void studentDept() {
//		StudentVO stu = new StudentVO(3, "", 24, "ôϾ", "߰", new DeptVO(10));
//		int cnt = sqlSession.update("studentNS.insertStudent", stu);
//		System.out.println(" Ǽ "+ cnt);
		
//		StudentVO stu = new StudentVO(1, "̻", 19, "ִϾ", "ְ", new DeptVO(20));
//		int cnt = sqlSession.update("studentNS.updateStudent", stu);
//		System.out.println("Ʈ Ǽ : "+ cnt);
		List<StudentVO> studnetList = sqlSession.selectList("studentNS.selectStudentDeptById");
		for (StudentVO studentVO : studnetList) {
			System.out.println(studentVO);
		}
	}
	
}
